var xmlHttp_city = false;
try
{
	xmlHttp_city=new ActiveXObject("Msxml2.XMLHTTP")
}
catch(e)
{
	try
	{
		xmlHttp_city=new ActiveXObject("Microsoft.XMLHTTP")
	}
	catch(E)
	{
		xmlHttp_city = new XMLHttpRequest();
	}
}
if(!xmlHttp_city && !alerted)
{
	try
	{
		xmlHttp_city = new XMLHttpRequest();
	}
	catch(e)
	{
		alert("你的浏览器不支持XMLHttpRequest对象，无法使用此功能！");
	}
}
var onecount;
onecount=0;
subcat= new Array();


function checknumber(obj){
var s;
s=obj.number.value.trim();
if (s.length==0){
	alert ("请填写订购数量！");
	obj.number.focus();
	return false;
}
return true;
}  

String.prototype.trim = function(){
	// 用正则表达式将前后空格
	// 用空字符串替代。
	return this.replace(/(^\s*)|(\s*$)/g, "");
}